=== debian/control ===
Source: gnuserv
Section: editors
Priority: optional
Maintainer: Alexander Zangerl <az@debian.org>
Build-Depends: debhelper (>= 8.0.0), libxau-dev, libxt-dev, emacs | emacsen
Standards-Version: 3.9.4

Package: gnuserv
Architecture: any
Depends: emacs | emacsen, emacsen-common (>= 1.4.14), ${shlibs:Depends}, ${misc:Depends}
Description: Allows you to attach to an already running Emacs
 gnuserv allows you to attach to an already running Emacs. This
 allows external programs to make use of Emacs' editing
 capabilities. It is similar to GNU Emacs' emacsclient, but
 has a slightly different feature set.
 .
 You do not need this package if you use XEmacs; it already
 includes gnuserv and gnuclient. If you want to use gnuserv with
 both GNU Emacs and XEmacs, you will only be able to use the
 alternative /usr/bin/gnuclient with one flavor of emacs; you will
 have to use either gnuclient.xemacs or gnuclient.emacs for the
 other flavor.
