=== debian/watch ===
version=3

http://martin.meltin.net/hacks/emacs/gnuserv .*/gnuserv-(.*).tar.gz
